Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.objects
Class XNumber

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.objects.XObject
                  |
                  +--weblogic.apache.xpath.objects.XNumber

public class XNumber
extends XObject

This class represents an XPath number, and is capable of converting the number to other types, such as a string.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE, m_obj`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`XNumber(double d)` Construct a XNodeSet object.
`XNumber(java.lang.Number num)` Construct a XNodeSet object.

Method Summary
`boolean` | `bool()` Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell that this is a CLASS_NUMBER.
`java.lang.String` | `getTypeString()` Given a request type, return the equivalent string.
`boolean` | `isStableNumber()` Tell if this expression returns a stable number that will not change during iterations within the expression.
`double` | `num()` Cast result object to a number.
`double` | `num(XPathContext xctxt)` Evaluate expression to a number.
`java.lang.Object` | `object()` Return a java object that's closest to the representation that should be handed to an extension.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class weblogic.apache.xpath.objects.XObject
`allowDetachToRelease, appendToFsb, boolWithSideEffects, castToType, create, create, destruct, detach, dispatchCharactersEvents, error, error, execute, fixupVariables, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, numWithSideEffects, rtf, rtf, rtree, rtree, toString, xstr`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNumber

    public XNumber(double d)

  Construct a XNodeSet object.

  Parameters:
    `d` - Value of the object

### XNumber

    public XNumber(java.lang.Number num)

  Construct a XNodeSet object.

  Parameters:
    `d` - Value of the object

Method Detail

### getType

    public int getType()

  Tell that this is a CLASS_NUMBER.

  Returns:
    node type CLASS_NUMBER
  Overrides:
    getType in class XObject

### getTypeString

    public java.lang.String getTypeString()

  Given a request type, return the equivalent string. For diagnostic purposes.

  Returns:
    type string "#NUMBER"
  Overrides:
    getTypeString in class XObject

### num

    public double num()

  Cast result object to a number.

  Returns:
    the value of the XNumber object
  Overrides:
    num in class XObject

### num

    public double num(XPathContext xctxt)
               throws javax.xml.transform.TransformerException

  Evaluate expression to a number.

  Returns:
    0.0
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    num in class Expression

### bool

    public boolean bool()

  Cast result object to a boolean.

  Returns:
    false if the value is NaN or equal to 0.0
  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Cast result object to a string.

  Returns:
    "NaN" if the number is NaN, Infinity or -Infinity if the number is infinite or the string value of the number.
  Overrides:
    str in class XObject

### object

    public java.lang.Object object()

  Return a java object that's closest to the representation that should be handed to an extension.

  Returns:
    The value of this XNumber as a Double object
  Overrides:
    object in class XObject

### equals

    public boolean equals(XObject obj2)

  Tell if two objects are functionally equal.

  Parameters:
    `obj2` - Object to compare this to
  Returns:
    true if the two objects are equal
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    equals in class XObject

### isStableNumber

    public boolean isStableNumber()

  Tell if this expression returns a stable number that will not change during iterations within the expression. This is used to determine if a proximity position predicate can indicate that no more searching has to occur.

  Returns:
    true if the expression represents a stable number.
  Overrides:
    isStableNumber in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference